<?php
include 'config/koneksi.php';

$notif_perkara_ecourt = mysql_query("SELECT nomor_register
FROM perkara_efiling
WHERE nomor_perkara IS NULL
AND status_pendaftaran_id = '8'
AND YEAR(tanggal_pendaftaran) >= '2020'");
$total_notif_perkara_ecourt = mysql_num_rows($notif_perkara_ecourt);

$notif_perkara_belum_input_PMH = mysql_query("SELECT a.perkara_id
FROM perkara a
LEFT JOIN perkara_penetapan b ON a.perkara_id = b.perkara_id
LEFT JOIN perkara_putusan c ON a.perkara_id = c.perkara_id 	
WHERE a.tanggal_pendaftaran IS NOT NULL
AND a.tahapan_terakhir_id = 10
AND b.penetapan_majelis_hakim IS NULL
AND c.tanggal_putusan IS NULL");
$total_notif_perkara_belum_input_PMH = mysql_num_rows($notif_perkara_belum_input_PMH);

$notif_perkara_belum_input_PP = mysql_query("SELECT a.perkara_id
FROM perkara a
LEFT JOIN perkara_penetapan b ON a.perkara_id = b.perkara_id
LEFT JOIN perkara_putusan c ON a.perkara_id = c.perkara_id 	
WHERE a.tanggal_pendaftaran IS NOT NULL
AND a.tahapan_terakhir_id > 10
AND b.penetapan_majelis_hakim IS NOT NULL
AND b.penetapan_panitera_pengganti IS NULL
AND c.tanggal_putusan IS NULL");
$total_notif_perkara_belum_input_PP = mysql_num_rows($notif_perkara_belum_input_PP);

$notif_perkara_belum_input_JSP = mysql_query("SELECT a.perkara_id
FROM perkara a
LEFT JOIN perkara_penetapan b ON a.perkara_id = b.perkara_id
LEFT JOIN perkara_putusan c ON a.perkara_id = c.perkara_id 	
WHERE a.tanggal_pendaftaran IS NOT NULL
AND a.tahapan_terakhir_id > 10
AND b.penetapan_majelis_hakim IS NOT NULL
AND b.penetapan_panitera_pengganti IS NOT NULL
AND b.penetapan_jurusita IS NULL 
AND c.tanggal_putusan IS NULL");
$total_notif_perkara_belum_input_JSP = mysql_num_rows($notif_perkara_belum_input_JSP);

$notif_perkara_belum_input_PHS = mysql_query("SELECT a.perkara_id
FROM perkara a
LEFT JOIN perkara_penetapan b ON a.perkara_id = b.perkara_id
LEFT JOIN perkara_putusan c ON a.perkara_id = c.perkara_id 	
WHERE a.tanggal_pendaftaran IS NOT NULL
AND a.tahapan_terakhir_id > 10
AND b.penetapan_majelis_hakim IS NOT NULL
AND b.penetapan_panitera_pengganti IS NOT NULL
AND b.penetapan_jurusita IS NOT NULL
AND b.penetapan_hari_sidang IS NULL 
AND c.tanggal_putusan IS NULL");
$total_notif_perkara_belum_input_PHS = mysql_num_rows($notif_perkara_belum_input_PHS);

$notif_penundaan_sidang_belum_diinput = mysql_query("SELECT perkara.perkara_id
FROM  perkara, perkara_jadwal_sidang
WHERE perkara.perkara_id = perkara_jadwal_sidang.perkara_id
AND perkara_jadwal_sidang.ditunda ='T'
AND (perkara_jadwal_sidang.keterangan IS NULL OR perkara_jadwal_sidang.keterangan ='' OR perkara_jadwal_sidang.keterangan = '0')
AND perkara_jadwal_sidang.tanggal_sidang <= NOW()
AND (perkara.proses_terakhir_text = 'persidangan' OR perkara.proses_terakhir_text LIKE '%pertama%') 
GROUP BY perkara_jadwal_sidang.perkara_id") or die("Query failed with error: ".mysql_error());
$total_notif_penundaan_sidang_belum_diinput = mysql_num_rows($notif_penundaan_sidang_belum_diinput);

$notif_ruang_sidang_kosong = mysql_query("SELECT perkara.perkara_id
FROM  perkara, perkara_jadwal_sidang
WHERE perkara.perkara_id = perkara_jadwal_sidang.perkara_id
AND perkara_jadwal_sidang.ruangan IS NULL 
AND (perkara.proses_terakhir_text = 'sidang pertama' OR perkara.proses_terakhir_text = 'persidangan' OR perkara.proses_terakhir_text = 'penetapan hari sidang pertama' OR perkara.proses_terakhir_text = 'Penetapan Hari Sidang Ikrar Talak')
AND sidang_keliling = 'T' 
GROUP BY perkara_jadwal_sidang.perkara_id");
$total_notif_ruang_sidang_kosong = mysql_num_rows($notif_ruang_sidang_kosong);

$notif_perkara_ditegur_atau_ditentukan_kemudian = mysql_query("SELECT perkara.perkara_id
FROM  perkara, perkara_jadwal_sidang, hakim_pn, panitera_pn, perkara_panitera_pn, perkara_hakim_pn
WHERE perkara_jadwal_sidang.perkara_id = perkara.perkara_id 
AND perkara_panitera_pn.perkara_id = perkara_jadwal_sidang.perkara_id
AND perkara_panitera_pn.panitera_id = panitera_pn.id
AND perkara_hakim_pn.perkara_id = perkara_jadwal_sidang.perkara_id
AND perkara_hakim_pn.hakim_id = hakim_pn.id
AND perkara_hakim_pn.urutan = '1'
AND perkara_hakim_pn.aktif = 'Y'
AND perkara_jadwal_sidang.ditunda ='T'
AND (perkara_jadwal_sidang.alasan_ditunda IS NULL OR perkara_jadwal_sidang.alasan_ditunda ='' OR perkara_jadwal_sidang.alasan_ditunda =0)
AND (perkara_jadwal_sidang.keterangan LIKE '%tegur%' OR perkara_jadwal_sidang.keterangan LIKE '%mediasi%' OR perkara_jadwal_sidang.keterangan LIKE '%ditentukan kemudian%')
AND (perkara_jadwal_sidang.tanggal_sidang <= NOW())
AND (perkara.proses_terakhir_text = 'persidangan' OR perkara.proses_terakhir_text LIKE '%pertama%') 
GROUP BY perkara_jadwal_sidang.perkara_id 
ORDER BY perkara_jadwal_sidang.perkara_id DESC");
$total_notif_perkara_ditegur_atau_ditentukan_kemudian = mysql_num_rows($notif_perkara_ditegur_atau_ditentukan_kemudian);

$notif_belum_ada_penunjukan_mediator = mysql_query("SELECT a.perkara_id
FROM perkara a
LEFT JOIN perkara_penetapan b ON a.perkara_id = b.perkara_id
LEFT JOIN perkara_putusan c ON a.perkara_id = c.perkara_id 
LEFT JOIN perkara_jadwal_sidang d ON a.perkara_id = d.perkara_id 
LEFT JOIN perkara_hakim_pn e ON a.perkara_id = e.perkara_id
LEFT JOIN perkara_panitera_pn f ON a.perkara_id = f.perkara_id
WHERE d.perkara_id NOT IN (SELECT g.perkara_id FROM perkara_mediasi g WHERE a.perkara_id = g.perkara_id)
AND d.alasan_ditunda LIKE '%mediasi%'
AND c.tanggal_putusan IS NULL
GROUP BY a.perkara_id");
$total_notif_belum_ada_penunjukan_mediator = mysql_num_rows($notif_belum_ada_penunjukan_mediator);

$notif_perkara_dalam_proses_mediasi = mysql_query("SELECT a.perkara_id
FROM perkara a
LEFT JOIN perkara_penetapan b ON a.perkara_id = b.perkara_id
LEFT JOIN perkara_putusan c ON a.perkara_id = c.perkara_id 
LEFT JOIN perkara_jadwal_sidang d ON a.perkara_id = d.perkara_id 
LEFT JOIN perkara_hakim_pn e ON a.perkara_id = e.perkara_id
LEFT JOIN perkara_panitera_pn f ON a.perkara_id = f.perkara_id
LEFT JOIN perkara_mediasi g ON a.perkara_id = g.perkara_id
LEFT JOIN perkara_mediator h ON a.perkara_id = h.perkara_id
LEFT JOIN perkara_jadwal_mediasi i ON g.mediasi_id = i.mediasi_id
WHERE g.tgl_laporan_mediator IS NULL
AND g.penetapan_penunjukan_mediator IS NOT NULL
AND YEAR(a.tanggal_pendaftaran) >= '2019'
AND c.tanggal_putusan IS NULL
GROUP BY a.perkara_id");
$total_notif_perkara_dalam_proses_mediasi = mysql_num_rows($notif_perkara_dalam_proses_mediasi);

$notif_sudah_putus_blm_laporan_mediator = mysql_query("SELECT a.perkara_id
FROM perkara a
LEFT JOIN perkara_penetapan b ON a.perkara_id = b.perkara_id
LEFT JOIN perkara_putusan c ON a.perkara_id = c.perkara_id 
LEFT JOIN perkara_jadwal_sidang d ON a.perkara_id = d.perkara_id 
LEFT JOIN perkara_hakim_pn e ON a.perkara_id = e.perkara_id
LEFT JOIN perkara_panitera_pn f ON a.perkara_id = f.perkara_id
LEFT JOIN perkara_mediasi g ON a.perkara_id = g.perkara_id
LEFT JOIN perkara_mediator h ON a.perkara_id = h.perkara_id
LEFT JOIN perkara_jadwal_mediasi i ON g.mediasi_id = i.mediasi_id
WHERE g.tgl_laporan_mediator IS NULL
AND g.penetapan_penunjukan_mediator IS NOT NULL
AND c.tanggal_putusan IS NOT NULL
AND YEAR(c.tanggal_putusan) >= '2019'
GROUP BY a.perkara_id");
$total_notif_sudah_putus_blm_laporan_mediator = mysql_num_rows($notif_sudah_putus_blm_laporan_mediator);

$notif_tgl_hasil_mediasi_tgl_laporan_mediator = mysql_query("SELECT a.perkara_id
FROM perkara a
LEFT JOIN perkara_penetapan b ON a.perkara_id = b.perkara_id
LEFT JOIN perkara_putusan c ON a.perkara_id = c.perkara_id 
LEFT JOIN perkara_jadwal_sidang d ON a.perkara_id = d.perkara_id 
LEFT JOIN perkara_hakim_pn e ON a.perkara_id = e.perkara_id
LEFT JOIN perkara_panitera_pn f ON a.perkara_id = f.perkara_id
LEFT JOIN perkara_mediasi g ON a.perkara_id = g.perkara_id
LEFT JOIN perkara_mediator h ON a.perkara_id = h.perkara_id
LEFT JOIN perkara_jadwal_mediasi i ON g.mediasi_id = i.mediasi_id
WHERE g.keputusan_mediasi <> g.tgl_laporan_mediator
AND YEAR(a.tanggal_pendaftaran) >= '2021'
GROUP BY a.perkara_id");
$total_notif_tgl_hasil_mediasi_tgl_laporan_mediator = mysql_num_rows($notif_tgl_hasil_mediasi_tgl_laporan_mediator);

$notif_perkara4bulan = mysql_query("SELECT A.perkara_id
FROM perkara A
LEFT JOIN perkara_putusan B ON A.perkara_id = B.perkara_id 
WHERE B.tanggal_putusan IS NULL
AND A.tanggal_pendaftaran <= (CURDATE() - INTERVAL 121 DAY) 
AND A.tanggal_pendaftaran >= (CURDATE() - INTERVAL 150 DAY)
AND (A.proses_terakhir_text = 'persidangan' OR A.proses_terakhir_text LIKE '%pertama%') 
GROUP BY A.perkara_id");
$total_notif_perkara4bulan = mysql_num_rows($notif_perkara4bulan);

$notif_perkara5bulan = mysql_query("SELECT A.perkara_id
FROM perkara A
LEFT JOIN perkara_putusan B ON A.perkara_id = B.perkara_id 
WHERE B.tanggal_putusan IS NULL
AND A.tanggal_pendaftaran <= (CURDATE() - INTERVAL 151 DAY) 
AND A.tanggal_pendaftaran >= (CURDATE() - INTERVAL 180 DAY)
AND (A.proses_terakhir_text = 'persidangan' OR A.proses_terakhir_text LIKE '%pertama%') 
GROUP BY A.perkara_id");
$total_notif_perkara5bulan = mysql_num_rows($notif_perkara5bulan);

$notif_perkara6bulan = mysql_query("SELECT A.perkara_id
FROM perkara A
LEFT JOIN perkara_putusan B ON A.perkara_id = B.perkara_id 
WHERE B.tanggal_putusan IS NULL
AND A.tanggal_pendaftaran <= (CURDATE() - INTERVAL 181 DAY) 
AND A.tanggal_pendaftaran >= (CURDATE() - INTERVAL 365 DAY)
AND (A.proses_terakhir_text = 'persidangan' OR A.proses_terakhir_text LIKE '%pertama%') 
GROUP BY A.perkara_id");
$total_notif_perkara6bulan = mysql_num_rows($notif_perkara6bulan);

$notif_perkara12bulan = mysql_query("SELECT A.perkara_id
FROM perkara A
LEFT JOIN perkara_putusan B ON A.perkara_id = B.perkara_id 
WHERE B.tanggal_putusan IS NULL
AND A.tanggal_pendaftaran <= (CURDATE() - INTERVAL 366 DAY) 
AND A.tanggal_pendaftaran >= (CURDATE() - INTERVAL 700 DAY)
AND (A.proses_terakhir_text = 'persidangan' OR A.proses_terakhir_text LIKE '%pertama%') 
GROUP BY A.perkara_id");
$total_notif_perkara12bulan = mysql_num_rows($notif_perkara12bulan);

$notif_amar_putusan_belum_diisi = mysql_query("SELECT perkara.perkara_id
FROM perkara, perkara_jadwal_sidang, hakim_pn, perkara_hakim_pn, panitera_pn, perkara_panitera_pn
LEFT JOIN perkara_putusan ON perkara_panitera_pn.perkara_id = perkara_putusan.perkara_id  
WHERE perkara_jadwal_sidang.perkara_id = perkara.perkara_id 
AND perkara_panitera_pn.perkara_id = perkara_jadwal_sidang.perkara_id
AND perkara_panitera_pn.panitera_id = panitera_pn.id 
AND perkara_hakim_pn.perkara_id = perkara_jadwal_sidang.perkara_id
AND perkara_hakim_pn.hakim_id = hakim_pn.id
AND perkara_hakim_pn.urutan = 1 
AND perkara_jadwal_sidang.agenda NOT LIKE '%sela%' 
AND (perkara_jadwal_sidang.keterangan LIKE '%putus%' OR perkara_jadwal_sidang.keterangan LIKE '%penetapan%' OR perkara_jadwal_sidang.keterangan LIKE '%cabut%' OR perkara_jadwal_sidang.keterangan LIKE '%gugur%' OR perkara_jadwal_sidang.keterangan LIKE '%tolak%' OR perkara_jadwal_sidang.keterangan LIKE '%verstek%') 
AND perkara_jadwal_sidang.ditunda='T' 
AND (perkara.proses_terakhir_id = '81' OR perkara.proses_terakhir_id = '200')
AND perkara_jadwal_sidang.tanggal_sidang <= CURDATE()
AND perkara_putusan.tanggal_putusan IS NULL
AND perkara_hakim_pn.aktif = 'Y'
AND perkara_panitera_pn.aktif = 'Y'
ORDER BY perkara_jadwal_sidang.perkara_id DESC");
$total_notif_amar_putusan_belum_diisi = mysql_num_rows($notif_amar_putusan_belum_diisi);

$notif_putus_belum_minutasi = mysql_query("SELECT perkara.perkara_id
FROM perkara, perkara_putusan
WHERE tanggal_putusan IS NOT NULL
AND perkara.perkara_id = perkara_putusan.perkara_id 
AND DATEDIFF(CURDATE(),perkara_putusan.tanggal_putusan) >= 0
AND tanggal_minutasi IS NULL
GROUP BY perkara_putusan.perkara_id");
$total_notif_putus_belum_minutasi = mysql_num_rows($notif_putus_belum_minutasi);

$notif_putus_belum_pbt = mysql_query("SELECT perkara.perkara_id
     FROM perkara
LEFT JOIN perkara_putusan ON perkara_putusan.perkara_id = perkara.perkara_id
LEFT JOIN perkara_pihak2 ON perkara_putusan.perkara_id = perkara_pihak2.perkara_id
LEFT JOIN status_putusan ON status_putusan.id = perkara_putusan.status_putusan_id 
LEFT JOIN perkara_putusan_pemberitahuan_putusan ON perkara_putusan_pemberitahuan_putusan.perkara_id = perkara.perkara_id
LEFT JOIN perkara_jadwal_sidang ON perkara_jadwal_sidang.perkara_id = perkara.perkara_id
LEFT JOIN perkara_hakim_pn ON perkara_hakim_pn.perkara_id = perkara.perkara_id
LEFT JOIN hakim_pn ON hakim_pn.id = perkara_hakim_pn.hakim_id
LEFT JOIN perkara_panitera_pn ON perkara_panitera_pn.perkara_id = perkara.perkara_id
LEFT JOIN panitera_pn ON panitera_pn.id = perkara_panitera_pn.panitera_id
LEFT JOIN perkara_jurusita ON perkara_jurusita.perkara_id = perkara.perkara_id
LEFT JOIN jurusita ON jurusita.id = perkara_jurusita.jurusita_id
    WHERE TRUE
      AND perkara.tahapan_terakhir_id < 16
      AND perkara_putusan.tanggal_putusan IS NOT NULL
      AND perkara_putusan.tanggal_bht IS NULL 
      AND YEAR(perkara_putusan.tanggal_putusan) >= '2019'
      AND DATEDIFF(CURDATE(), perkara_putusan.tanggal_putusan) >= '0'
      AND perkara_putusan_pemberitahuan_putusan.tanggal_pemberitahuan_putusan IS NULL
      AND perkara_putusan_pemberitahuan_putusan.pihak = '2'
      AND perkara_jadwal_sidang.ditunda = 'T'
      AND perkara_hakim_pn.urutan = '1'
      AND perkara_jurusita.aktif = 'Y'
      AND (perkara_jadwal_sidang.dihadiri_oleh > '1' OR perkara_jadwal_sidang.keterangan LIKE '%verstek%' OR perkara_jadwal_sidang.keterangan LIKE '%diluar hadir%' OR perkara_jadwal_sidang.keterangan LIKE '%di luar hadir%' OR perkara_jadwal_sidang.keterangan LIKE '%pbt%')
      AND perkara_jurusita.urutan = (SELECT MAX(urutan) FROM perkara_jurusita WHERE perkara_id = perkara.perkara_id)
GROUP BY perkara.perkara_id
ORDER BY jurusita.nama_gelar DESC, perkara_putusan.tanggal_putusan ASC");
$total_notif_putus_belum_pbt = mysql_num_rows($notif_putus_belum_pbt);

$notif_putus_belum_bht = mysql_query("SELECT perkara.perkara_id
     FROM perkara
LEFT JOIN perkara_putusan ON perkara_putusan.perkara_id = perkara.perkara_id
LEFT JOIN perkara_pihak2 ON perkara_putusan.perkara_id = perkara_pihak2.perkara_id
LEFT JOIN status_putusan ON status_putusan.id = perkara_putusan.status_putusan_id 
LEFT JOIN perkara_putusan_pemberitahuan_putusan ON perkara_putusan_pemberitahuan_putusan.perkara_id = perkara.perkara_id AND perkara_putusan_pemberitahuan_putusan.pihak = '2'
LEFT JOIN perkara_jadwal_sidang ON perkara_jadwal_sidang.perkara_id = perkara.perkara_id
LEFT JOIN perkara_hakim_pn ON perkara_hakim_pn.perkara_id = perkara.perkara_id
LEFT JOIN hakim_pn ON hakim_pn.id = perkara_hakim_pn.hakim_id
LEFT JOIN perkara_panitera_pn ON perkara_panitera_pn.perkara_id = perkara.perkara_id
LEFT JOIN panitera_pn ON panitera_pn.id = perkara_panitera_pn.panitera_id
LEFT JOIN perkara_jurusita ON perkara_jurusita.perkara_id = perkara.perkara_id
LEFT JOIN jurusita ON jurusita.id = perkara_jurusita.jurusita_id
    WHERE TRUE
      AND perkara.tahapan_terakhir_id < 16
      AND perkara_putusan.tanggal_putusan IS NOT NULL
      AND perkara_putusan.tanggal_bht IS NULL 
      AND YEAR(perkara_putusan.tanggal_putusan) >= '2019'
      AND DATEDIFF(CURDATE(), perkara_putusan.tanggal_putusan) >= '0'
      AND perkara_jadwal_sidang.ditunda = 'T'
      AND perkara_hakim_pn.urutan = '1'
      AND perkara_jurusita.aktif = 'Y'
      AND perkara_jurusita.urutan = (SELECT MAX(urutan) FROM perkara_jurusita WHERE perkara_id = perkara.perkara_id)
GROUP BY perkara.perkara_id
ORDER BY perkara_putusan.tanggal_putusan ASC");
$total_notif_putus_belum_bht = mysql_num_rows($notif_putus_belum_bht);

$notif_pmh_Ikrar_belum_diisi = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b, perkara_akta_cerai c
WHERE b.status_putusan_id = '62'
AND DATEDIFF(CURDATE(), b.tanggal_bht) >= '0'
AND YEAR(b.tanggal_bht) >= '2019'
AND a.perkara_id NOT IN (SELECT d.perkara_id FROM perkara_ikrar_talak d WHERE a.perkara_id = d.perkara_id GROUP BY d.perkara_id)
AND a.perkara_id = b.perkara_id 
AND a.perkara_id = c.perkara_id 
AND a.jenis_perkara_id = '346'
AND c.faktor_perceraian_id != '11' 
GROUP BY a.perkara_id");
$total_notif_pmh_Ikrar_belum_diisi = mysql_num_rows($notif_pmh_Ikrar_belum_diisi);

$notif_phs_Ikrar_belum_diisi = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b, perkara_ikrar_talak c
WHERE b.status_putusan_id = '62'
AND a.perkara_id = b.perkara_id 
AND a.perkara_id = c.perkara_id 
AND a.jenis_perkara_id = '346'
AND c.tanggal_penetapan_sidang_ikrar IS NULL
AND c.penetapan_majelis_hakim >= 1
AND YEAR(c.penetapan_majelis_hakim) >= '2019'
GROUP BY a.perkara_id");
$total_notif_phs_Ikrar_belum_diisi = mysql_num_rows($notif_phs_Ikrar_belum_diisi);

$notif_amar_ikrar_talak_belum_diisi = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b, perkara_ikrar_talak c
WHERE (SELECT MAX(h.tanggal_sidang) 
FROM perkara_jadwal_sidang h
WHERE h.perkara_id = a.perkara_id
AND h.ditunda ='T'
AND h.keterangan LIKE '%ikrar%'
AND (h.keterangan NOT LIKE '%lapor%' OR h.keterangan NOT LIKE '%ditentukan kemudian%')
ORDER BY h.tanggal_sidang DESC) <= CURDATE()
AND c.amar_ikrar_talak IS NULL 
AND b.status_putusan_id = 62
AND c.perkara_id = a.perkara_id
AND a.perkara_id = b.perkara_id 
AND a.jenis_perkara_id = '346'
GROUP BY a.perkara_id");
$total_notif_amar_ikrar_talak_belum_diisi = mysql_num_rows($notif_amar_ikrar_talak_belum_diisi);

$notif_perkara_melapor_atau_ditentukan_kemudian = mysql_query("SELECT a.perkara_id,
(SELECT MAX(h.tanggal_sidang) 
FROM perkara_jadwal_sidang h 
WHERE h.perkara_id = a.perkara_id
AND h.ditunda ='T'
AND (h.keterangan LIKE '%lapor%' OR h.keterangan LIKE '%ditentukan kemudian%' OR h.keterangan LIKE '%tunda 6 bulan%')
AND h.keterangan NOT LIKE '%ikrar%'
ORDER BY h.tanggal_sidang DESC) AS tgl_sidang_last
FROM perkara a, perkara_putusan b, perkara_ikrar_talak c
WHERE (SELECT MAX(h.tanggal_sidang) 
FROM perkara_jadwal_sidang h 
WHERE h.perkara_id = a.perkara_id 
AND h.ditunda ='T'
AND (h.keterangan LIKE '%lapor%' OR h.keterangan LIKE '%ditentukan kemudian%')
AND h.keterangan NOT LIKE '%ikrar%'
ORDER BY h.tanggal_sidang DESC) <= CURDATE()
AND c.amar_ikrar_talak IS NULL 
AND c.perkara_id = a.perkara_id
AND a.perkara_id = b.perkara_id 
AND a.jenis_perkara_id = '346'
GROUP BY a.perkara_id");
$total_notif_perkara_melapor_atau_ditentukan_kemudian = mysql_num_rows($notif_perkara_melapor_atau_ditentukan_kemudian);

$notif_akta_cerai_akan_terbit_khusus_CG = mysql_query("SELECT a.perkara_id
FROM perkara a
LEFT JOIN perkara_putusan b ON a.perkara_id = b.perkara_id 
LEFT JOIN perkara_hakim_pn c ON a.perkara_id = c.perkara_id 
LEFT JOIN hakim_pn d ON c.hakim_id = d.id
LEFT JOIN perkara_panitera_pn e ON a.perkara_id = e.perkara_id 
LEFT JOIN panitera_pn f ON  e.panitera_id = f.id
LEFT JOIN perkara_akta_cerai g ON a.perkara_id = g.perkara_id 
LEFT JOIN perkara_putusan_pemberitahuan_putusan h ON a.perkara_id = h.perkara_id AND h.pihak = '2'
LEFT JOIN status_putusan i ON b.status_putusan_id = i.id
WHERE b.status_putusan_id = '62'
AND g.tgl_akta_cerai IS NULL
AND b.tanggal_bht < CURDATE() 
AND a.tahapan_terakhir_id < '20'
AND a.jenis_perkara_id = '347'
AND a.tahapan_terakhir_id != '16'
AND c.urutan = '1'
AND YEAR (b.tanggal_bht) >= '2019'
GROUP BY a.perkara_id 
ORDER BY b.tanggal_bht DESC") or die("Query failed with error: ".mysql_error());
$total_notif_akta_cerai_akan_terbit_khusus_CG = mysql_num_rows($notif_akta_cerai_akan_terbit_khusus_CG);

$notif_akta_cerai_akan_terbit_khusus_CT = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b, perkara_akta_cerai c, perkara_ikrar_talak d
WHERE c.tgl_akta_cerai IS NULL
AND d.tgl_ikrar_talak IS NOT NULL
AND d.status_penetapan_ikrar_talak_id = '1'
AND d.tgl_ikrar_talak <= CURDATE() 
AND a.perkara_id = b.perkara_id 
AND a.perkara_id = c.perkara_id 
AND a.perkara_id = d.perkara_id 
AND a.jenis_perkara_id = '346'
AND YEAR (b.tanggal_bht) >= '2019'
GROUP BY a.perkara_id") or die("Query failed with error: ".mysql_error());
$total_notif_akta_cerai_akan_terbit_khusus_CT = mysql_num_rows($notif_akta_cerai_akan_terbit_khusus_CT);

$notif_panjar_pk = mysql_query("SELECT b.alur_perkara_id
FROM perkara_biaya a, perkara b, perkara_pk c WHERE b.proses_terakhir_id >= 570 AND b.proses_terakhir_id <= 590 AND a.tahapan_id = 40 AND (b.alur_perkara_id ='15' OR b.alur_perkara_id ='16') AND a.perkara_id = b.perkara_id AND b.perkara_id = c.perkara_id 	
AND (SELECT((SUM(CASE WHEN d.jenis_transaksi = '1' THEN d.jumlah ELSE 0 END))-(SUM(CASE WHEN d.jenis_transaksi = '-1' THEN d.jumlah ELSE 0 END))) AS sisa
FROM perkara_biaya d, perkara e, perkara_pk f WHERE b.perkara_id = d.perkara_id AND e.proses_terakhir_id >= 570 AND e.proses_terakhir_id <= 590 AND d.tahapan_id = 40 AND (e.alur_perkara_id ='15' OR e.alur_perkara_id ='16') AND d.perkara_id = e.perkara_id AND e.perkara_id = f.perkara_id 				  
					  GROUP BY d.perkara_id ORDER BY d.perkara_id DESC) <> 0
					  GROUP BY a.perkara_id ORDER BY a.perkara_id DESC") or die("Query failed with error: ".mysql_error());
$total_notif_panjar_pk = mysql_num_rows($notif_panjar_pk);

$notif_edoc_posita = mysql_query("SELECT a.perkara_id
FROM perkara a
WHERE (a.posita = '' OR a.posita IS NULL)
AND YEAR(a.tanggal_pendaftaran)=YEAR(NOW())");
$total_notif_edoc_posita = mysql_num_rows($notif_edoc_posita);

$notif_edoc_petitum = mysql_query("SELECT a.perkara_id
FROM perkara a
WHERE (a.petitum_dok = '' OR a.petitum_dok IS NULL) 
AND YEAR(a.tanggal_pendaftaran)=YEAR(NOW())");
$total_notif_edoc_petitum = mysql_num_rows($notif_edoc_petitum);

$notif_edoc_relaas = mysql_query("SELECT a.perkara_id
FROM  perkara a
LEFT JOIN perkara_jadwal_sidang b ON a.perkara_id = b.perkara_id 
LEFT JOIN perkara_hakim_pn c ON b.perkara_id = c.perkara_id 
LEFT JOIN hakim_pn d ON c.hakim_id = d.id 
LEFT JOIN perkara_panitera_pn e ON b.perkara_id = e.perkara_id 
LEFT JOIN panitera_pn f ON e.panitera_id = f.id
LEFT JOIN perkara_pelaksanaan_relaas g ON b.id = g.sidang_id 
LEFT JOIN perkara_penetapan h ON a.perkara_id = h.perkara_id
LEFT JOIN perkara_jurusita i ON a.perkara_id = i.perkara_id
LEFT JOIN jurusita j ON j.id = i.jurusita_id
WHERE c.urutan = '1'
AND (b.agenda LIKE '%pertama%' OR b.dihadiri_oleh > '1')
AND (g.doc_relaas IS NULL OR g.doc_relaas ='' OR g.doc_relaas = '0')
AND DATE(b.tanggal_sidang) >= '2021-01-01'
GROUP BY b.perkara_id
ORDER BY b.tanggal_sidang DESC");
$total_notif_edoc_relaas = mysql_num_rows($notif_edoc_relaas);

$notif_edoc_bas = mysql_query("SELECT a.perkara_id
FROM  perkara a
LEFT JOIN perkara_jadwal_sidang b ON a.perkara_id = b.perkara_id 
LEFT JOIN perkara_hakim_pn c ON b.perkara_id = c.perkara_id 
LEFT JOIN hakim_pn d ON c.hakim_id = d.id 
LEFT JOIN perkara_panitera_pn e ON b.perkara_id = e.perkara_id 
LEFT JOIN panitera_pn f ON e.panitera_id = f.id
LEFT JOIN perkara_pelaksanaan_relaas g ON b.id = g.sidang_id 
WHERE c.urutan = '1'
AND (b.edoc_bas IS NULL OR b.edoc_bas ='' OR b.edoc_bas = '0')
AND DATE(b.tanggal_sidang) >= '2021-01-01'
AND b.tanggal_sidang <= NOW()
GROUP BY b.perkara_id
ORDER BY f.nama_gelar ASC, b.tanggal_sidang DESC");
$total_notif_edoc_bas = mysql_num_rows($notif_edoc_bas);

$notif_edoc_putusan = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_dok IS NULL
AND YEAR (b.tanggal_putusan) >= 2019
GROUP BY b.perkara_id");
$total_notif_edoc_putusan = mysql_num_rows($notif_edoc_putusan);

$notif_edoc_putusan_2016 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2016
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_2016 = mysql_num_rows($notif_edoc_putusan_2016);

$notif_edoc_putusan_2017 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2017
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_2017 = mysql_num_rows($notif_edoc_putusan_2017);

$notif_edoc_putusan_2018 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2018
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_2018 = mysql_num_rows($notif_edoc_putusan_2018);

$notif_edoc_putusan_2019 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2019
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_2019 = mysql_num_rows($notif_edoc_putusan_2019);

$notif_edoc_putusan_2020 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2020
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_2020 = mysql_num_rows($notif_edoc_putusan_2020);

$notif_edoc_putusan_anonimisasi = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_anonimisasi_dok IS NULL
AND YEAR (b.tanggal_putusan) >= 2019
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_anonimisasi = mysql_num_rows($notif_edoc_putusan_anonimisasi);

$notif_edoc_putusan_anonimisasi_2016 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_anonimisasi_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2016
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_anonimisasi_2016 = mysql_num_rows($notif_edoc_putusan_anonimisasi_2016);

$notif_edoc_putusan_anonimisasi_2017 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_anonimisasi_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2017
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_anonimisasi_2017 = mysql_num_rows($notif_edoc_putusan_anonimisasi_2017);

$notif_edoc_putusan_anonimisasi_2018 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_anonimisasi_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2018
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_anonimisasi_2018 = mysql_num_rows($notif_edoc_putusan_anonimisasi_2018);

$notif_edoc_putusan_anonimisasi_2019 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_anonimisasi_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2019
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_anonimisasi_2019 = mysql_num_rows($notif_edoc_putusan_anonimisasi_2019);

$notif_edoc_putusan_anonimisasi_2020 = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_anonimisasi_dok IS NULL
AND YEAR (b.tanggal_putusan) = 2020
GROUP BY b.perkara_id");
$total_notif_edoc_putusan_anonimisasi_2020 = mysql_num_rows($notif_edoc_putusan_anonimisasi_2020);

$notif_edoc_selisih_putusan_anonimisasi = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b
WHERE a.perkara_id = b.perkara_id
AND b.tanggal_putusan IS NOT NULL
AND b.amar_putusan_dok IS NOT NULL
AND b.amar_putusan_anonimisasi_dok IS NULL
AND YEAR (b.tanggal_putusan) >= 2019
GROUP BY b.perkara_id");
$total_notif_edoc_selisih_putusan_anonimisasi = mysql_num_rows($notif_edoc_selisih_putusan_anonimisasi);

$notif_edoc_penetapan_ikrar = mysql_query("SELECT a.nomor_perkara
FROM perkara a, perkara_putusan b, hakim_pn c, panitera_pn d, perkara_panitera_pn e, perkara_hakim_pn f, perkara_ikrar_talak g
WHERE (g.ikrar_talak_dok IS NULL OR g.ikrar_talak_dok = '')
AND g.perkara_id = a.perkara_id
AND a.perkara_id = b.perkara_id
AND a.jenis_perkara_id = '346'
AND a.tahapan_terakhir_id  >= 18
AND a.proses_terakhir_id >= 295
AND f.perkara_id = a.perkara_id 
AND e.perkara_id = a.perkara_id 
AND f.hakim_id = c.id 
AND e.panitera_id = d.id 
AND f.urutan = 1
AND f.aktif='Y' 
AND e.aktif='Y'
AND YEAR (g.tgl_ikrar_talak) = YEAR(NOW())
ORDER BY g.tgl_ikrar_talak DESC");
$total_notif_edoc_penetapan_ikrar = mysql_num_rows($notif_edoc_penetapan_ikrar);

$notif_edoc_akta_cerai = mysql_query("SELECT a.nomor_perkara
FROM perkara a, perkara_putusan b, hakim_pn c, panitera_pn d, perkara_panitera_pn e, perkara_hakim_pn f, perkara_akta_cerai g
WHERE (g.akta_cerai_dok IS NULL OR g.akta_cerai_dok = '')
AND g.tgl_akta_cerai IS NOT NULL
AND g.perkara_id = a.perkara_id
AND a.perkara_id = b.perkara_id 
AND a.tahapan_terakhir_id  >= 19
AND a.proses_terakhir_id >= 296
AND f.perkara_id = a.perkara_id 
AND e.perkara_id = a.perkara_id 
AND f.hakim_id = c.id 
AND e.panitera_id = d.id 
AND f.urutan = 1
AND YEAR (g.tgl_akta_cerai) >= '2020'
GROUP BY a.perkara_id
ORDER BY g.nomor_akta_cerai DESC");
$total_notif_edoc_akta_cerai = mysql_num_rows($notif_edoc_akta_cerai);

$notif_arsip = mysql_query("SELECT a.perkara_id
FROM perkara a, perkara_putusan b, hakim_pn c, panitera_pn d, perkara_panitera_pn e, status_putusan f, perkara_hakim_pn g
LEFT JOIN arsip h ON g.perkara_id = h.perkara_id
WHERE a.perkara_id = b.perkara_id
AND g.perkara_id = a.perkara_id 
AND e.perkara_id = a.perkara_id
AND b.status_putusan_id = f.id
AND h.tanggal_masuk_arsip IS NULL
AND b.tanggal_bht IS NOT NULL
AND g.hakim_id = c.id 
AND e.panitera_id = d.id
AND g.urutan = '1'
AND YEAR(b.tanggal_bht) = YEAR(NOW())
AND a.proses_terakhir_id != '293'
AND DATEDIFF(CURDATE(),b.tanggal_bht) >= 7
GROUP BY a.perkara_id 
ORDER BY b.tanggal_putusan DESC");
$total_notif_arsip = mysql_num_rows($notif_arsip);

$notif_sisa_dirput_2021 = mysql_query("SELECT
A.perkara_id
FROM perkara_putusan AS A 
LEFT JOIN dirput_antrian AS B ON A.perkara_id=B.perkara_id 
WHERE A.tanggal_putusan IS NOT NULL
AND B.perkara_id IS NULL
AND YEAR(A.tanggal_putusan) = '2021'");
$total_notif_sisa_dirput_2021 = mysql_num_rows($notif_sisa_dirput_2021);

$notif_dirput_masuk = mysql_query("SELECT dirput_antrian.perkara_id
FROM dirput_antrian
WHERE dirput_antrian.status = '0'");
$total_notif_dirput_masuk = mysql_num_rows($notif_dirput_masuk);

$notif_dirput_gagal = mysql_query("SELECT dirput_antrian.perkara_id
FROM dirput_antrian
WHERE dirput_antrian.status = '-1'");
$total_notif_dirput_gagal = mysql_num_rows($notif_dirput_gagal);

?>